Subject: Re: uptime's boot time is inconsistent after VM sleep & resume

From: Bruno Haible <[email-masked]>
Date: Sun, 13 Aug 2023 01:21:06 +0200

PS: I wrote:
> (print_uptime): Don't read /proc/uptime

You might wonder: What is the replacement? Namely, as a fallback (for
situations where the current process is running inside a container or jail):
  - On Linux, the auxiliary function get_linux_boot_time_final_fallback
    reads the info from /proc/uptime.
  - On macOS and BSD systems, we don't need to read it, because the sysctl
    invoked by the auxiliary function get_bsd_boot_time_final_fallback
    reads the same info, without needing a mounted /proc file system.
  - On Minix and Cygwin, no replacement is needed, because there is no
    "container" or "jail" concept in these OSes.

Bruno